Foros del Web » Programando para Internet » PHP »

Problema con FoxServ y Apache!!!!!!!

Estas en el tema de Problema con FoxServ y Apache!!!!!!! en el foro de PHP en Foros del Web. Hola gente! Pues bueno, resulta que instalé el apache e intenté instalarle el PHP, pero sin mayores éxitos, porque (pese a tener el PWS detenido) ...
  #1 (permalink)  
Antiguo 07/12/2002, 23:12
Avatar de Rosamunda  
Fecha de Ingreso: diciembre-2001
Ubicación: Buenos Aires
Mensajes: 792
Antigüedad: 16 años
Puntos: 1
Problema con FoxServ y Apache!!!!!!!

Hola gente!

Pues bueno, resulta que instalé el apache e intenté instalarle el PHP, pero sin mayores éxitos, porque (pese a tener el PWS detenido) me sigue apareciendo la pantalla usual del PWS si pongo en el explorer 127.0.0.1

Entonces (sin desinstalar el apache) instalé exitosamente el FoxServ. Por lo menos exitosamente en apariencia. El icono de MySql aparece con un semáforo en verde por lo que imagino que está OK, pero el apache service monitor me dice "no services installed".
Si entro a la carpeta del FoxServ y clickeo en el ícono Start Apache Service me dice (en una pantalla de MSDOS):
Error 2185: El nombre del servicio no es válido. Asegúrese de especificar un nombre de servicio válido y vuelva a intentarlo.

Puede ser que necesite desinstalar el apache originario que instalé?

El FoxServ lo instalé en el puerto 80 (que era el recomendado), eso influye?

Me interesa comenzar a aprender PHP, por eso empecé todo este lío, pero tengo cosas en ASP para las que necesito conservar y poder usar normalmente el PWS...

Por cierto... cómo controlo que el PHP funcione? Tengo que ubicar los archivos dentro de la carpeta INETPUB como con el PWS?

Qué hago?????


Agradeceré toda la ayuda que puedan darme!!


Rosamunda
  #2 (permalink)  
Antiguo 08/12/2002, 06:30
 
Fecha de Ingreso: diciembre-2001
Ubicación: Monterrey, N.L. - México
Mensajes: 313
Antigüedad: 16 años
Puntos: 0
Algo similiar hice pero como se que iba a a ver conflictos puse el IIS en el puerto 81, si en el pws no puedes modificar eso del puerto hazlo en el apache para que funcione bien como 127.0.0.1:81
y para probar php pues si tienes el foxserver como yo, serian tus ficheros en:

C:\FoxServ\www

Instala solo el foxserver asi incluira php, apache y mysql, sin errores de nada, luego ya te actualizas el php porque no es reciente la version lo se porque no me funcionaron varias variables y actualice al PHP Version 4.1.2 (aunque no muy nueva) y funciono.

Espero te ayude esto, saludos
  #3 (permalink)  
Antiguo 08/12/2002, 07:22
Avatar de AngelRoyo  
Fecha de Ingreso: marzo-2002
Ubicación: Santiago de Chile
Mensajes: 207
Antigüedad: 15 años, 8 meses
Puntos: 5
Rosita, al parecer tienes suerte... A mi me paso algo igual.
De pasada te enseño a postear este tipo de cosas :)

SO: win98
PHP: 4.2.3
APACHE: 1.3.20
mySQL: 3.23.xx
FoxServ: 2.1 version....

¿Cual es la versión que te bajaste de FoxServ?
Si es la 3.0 borrala, por que es una "mierda". Estos tipos sakan versiones con cosas que estan en fase beta o alpha como en el caso de mysql 4.0 max.

Descarga la version 2.1 OK.

Siguientes pasos: (NO HABRAS LA VENTANA DE COMANDOS DE FOXSERV)

1- ve a C:\FoxServ\Apache y crea un acceso directo del fichero apache.exe (pluma).

2. Clikea el acceso directo y deveria quedarte una ventana msdos abierta diciendo apache 1.3.20 running php module.. algo por ahí.

3. Abres una ventana de tu navegador y coloca: localhost/admin/phpinfo.php
Deberia salirte todas las caracteristicas de PHP mejor lenguaje Web en estos momentos.

Saludos y sigue mis consejos al pie de la letra y si preguntas alguna duda intenta primero resolverla y sino pues la redactas como deve ser.

PD: ¿quita eso de PWS para que lo quieres? ¿ASP :-p ?
__________________
Hacerlo Bien Haciendo el Bien.
Jaso ezazu agur bero bat.
(c) 2002. Made in Chile.
Mi sistema es:
Win(98);Apache(1.3.x);PHP(4.1.1);mySQL(3.23.x)
!Califica este POSTEO¡
  #4 (permalink)  
Antiguo 08/12/2002, 10:34
Avatar de Rosamunda  
Fecha de Ingreso: diciembre-2001
Ubicación: Buenos Aires
Mensajes: 792
Antigüedad: 16 años
Puntos: 1
Gracias!!!!!!!!!!!!!!!!!!!!!!!!!!!

Espero que todo me salga OK... veré qué versión me instalé (espero que no sea la 3.0 ... la bajé hace 2 días...)

Veré si pruebo los archivos en la carpeta del foxserv...

Gracias a ambos! Espero que todo me salga bien... así no los tengo que molestar de nuevo...





Rosamunda
  #5 (permalink)  
Antiguo 08/12/2002, 12:40
 
Fecha de Ingreso: febrero-2002
Ubicación: Mi ASP Bunker
Mensajes: 397
Antigüedad: 15 años, 9 meses
Puntos: 1
Yo instale el FoxServ sobre NT2K, pero como manejo ASP tb, baje el PHP para Windows y ahora el IIS sirve tanto para ASP como PHP y anda OK !, sin cargar Apache.

Bajate el PHP-para-windows aca ( es directo de php.net ) :

http://www.php.net/get_download.php?...-installer.exe

Ahi te consulta sobre que version de windows y que web server.

En tu caso ponele el Win-que tengas + PWS

Saludos !
  #6 (permalink)  
Antiguo 08/12/2002, 14:29
Avatar de Rosamunda  
Fecha de Ingreso: diciembre-2001
Ubicación: Buenos Aires
Mensajes: 792
Antigüedad: 16 años
Puntos: 1
Gracias Nochero! Voy a ver el link ese, a ver si se me hace más fácil este tema...

  #7 (permalink)  
Antiguo 05/05/2004, 20:17
Avatar de orochies  
Fecha de Ingreso: septiembre-2003
Ubicación: Guatemala
Mensajes: 259
Antigüedad: 14 años, 2 meses
Puntos: 2
De pura casualidad alguien sabe si hay algun tutorial de instalacion y configuracion del foxserver 2.1 en español

todas buestras recomendaciones seran muy bien recibidas...
__________________
QMD...
  #8 (permalink)  
Antiguo 06/05/2004, 07:07
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Y no será mejor instalar todo manualmente y así saber que es lo que se está haciendo?

http://www.maestrosdelweb.com/editorial/phpmysqlap/

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 01:18.